﻿
/*Recommend reviewing https://stackoverflow.com/a/40598178 regarding IE11 flexbox CSS support*/

.wb-overlay.open {
    display: flex;
}

.modal-content > .modal-footer {
    display: none;
}

.modal-content {
    flex-direction: column;
    pointer-events: auto;
}

    .modal-content > .modal-header {
    }

    .modal-content > .modal-body {
        flex: 1 0 auto;
        position: relative;
        -webkit-box-flex: 1;
        padding: 1rem;       
    }

        .modal-content > .modal-body > dl {
            margin-left: 11px;
        }

        .modal-content > .buttons, .modal-content > .pull-right > .buttons {
        display: flex;
        -webkit-box-align: center;
        align-items: center;
        -webkit-box-pack: end;
        justify-content: flex-end;
        padding: 1rem;
        border-top: 1px solid #e9ecef;
        width: 100%;
        position: sticky;
        bottom: 0;
        background-color: #fff;
    }

        .modal-content > .buttons > :not(:last-child),
        .modal-content > .pull-right > .buttons > :not(:last-child) {
            margin-right: .25rem;
        }

h2.modal-title {
    border-bottom: none;
    margin-bottom: 0;
    font-weight: normal;
}

.loading-overlay {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    opacity: 0.6;
}

.spin-loader {
    height: 100px;
    background: url("images/loading_64x64.gif") no-repeat center center transparent;
    position: relative;
    top: 25%;
}

#report-comment-screen {
    width: 600px;
    height: 200px;
}

.modal-body .badge {
    margin-right: 5px;
}

.notification-wrapper {
    margin-top: 20px;
}

.notification-wrapper > div:first-child {
    margin-bottom: 10px;
}

.notification-wrapper > div:first-child > span {
    margin-right: 20px;
}